Supported ArcGIS Pro version not found

1504
6
Jump to solution
05-04-2021 07:53 AM
Labels (3)
Rconrad
New Contributor II

Hello, I am trying to create a new project in Visual Studios 2019 using the ArcGIS Pro Module Add-in template. Whenever I hit create, though, I receive an error message stating "ArcGIS Pro 2.7 SDK for .NET cannot be installed over ArcGIS Pro 2.4.19948". I followed along the ProGuide Installation.

@UmaHarano 

0 Kudos
2 Solutions

Accepted Solutions
JoshuaBixby
MVP Esteemed Contributor

Is the error message in err, i.e., do you really have Pro 2.7.x installed and the Pro SDK installer thinks you still have Pro 2.4 installed?  If the error message is correct, then either upgrade Pro to 2.7.x or get the Pro 2.4 SDK.

View solution in original post

0 Kudos
KenBuja
MVP Honored Contributor

You have to go to this site to download the vsix files for version 2.4. They are at the bottom of the page.

View solution in original post

0 Kudos
6 Replies
JoshuaBixby
MVP Esteemed Contributor

Is the error message in err, i.e., do you really have Pro 2.7.x installed and the Pro SDK installer thinks you still have Pro 2.4 installed?  If the error message is correct, then either upgrade Pro to 2.7.x or get the Pro 2.4 SDK.

0 Kudos
Rconrad
New Contributor II

The Installer Log says that I am installing Pro 2.7. How would I go about installing 2.4? Thank you for your help @JoshuaBixby 

0 Kudos
KenBuja
MVP Honored Contributor

You have to go to this site to download the vsix files for version 2.4. They are at the bottom of the page.

0 Kudos
Rconrad
New Contributor II

Do I need to install every file? Or just the VSIX files listed below. Thanks again @KenBuja 

 
proapp-sdk-templates.vsix
proapp-sdk-utilities.vsix
0 Kudos
KenBuja
MVP Honored Contributor

Just the vsix files

0 Kudos
Rconrad
New Contributor II

This worked, thanks a ton. @KenBuja

I had to downgrade to Visual Studios 2017 but at least it works.

0 Kudos